name: steps
type: object
meta:
    label:
        de: Stepp Nr
        en: Step Nr
    dependsOn:
        eval: $parent.type === 'stepNr' || !$parent.type
subFields:
    - name: horizontal
      type: boolean
      meta:
          label:
              de: Horizontal
              en: Horizontal

    - name: color
      type: string
      meta:
          label:
              de: Farbe
              en: Color
          widget: select
          choices:
              - name: red
                id: red

    - name: items
      type: object[]
      meta:
          label:
              de: Items
              en: Items
          widget: containerLessObjectArray
      subFields:
          - name: nr
            type: number
            meta:
                label:
                    de: Nr
                    en: Nr

          - name: title
            type: string
            meta:
                label:
                    de: Titel
                    en: Title

          - name: descriptions
            type: string[]
            meta:
                widget: string
                useDefaultArray: true
                label:
                    de: Beschreibung
                    en: Description
                inputProps:
                    multiline: true

          - name: image
            type: string
            meta:
                label:
                    de: Bild
                    en: Image
                widget: foreignKey
                foreign:
                    collection: medialib
                    id: id
                    subNavigation: 0
                    render:
                        defaultCollectionViews: true
